<?php
/**
 * PaymentMethodEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OmsClient\Dto;
use \Ensi\OmsClient\ObjectSerializer;

/**
 * PaymentMethodEnum Class Doc Comment
 *
 * @category Class
 * @description Способ оплаты. Расшифровка значений:   * &#x60;1&#x60; - Онлайн   * &#x60;2&#x60; - Оффлайн
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PaymentMethodEnum
{
    
    /** Онлайн */
    public const ONLINE = 1;
    
    /** Оффлайн */
    public const OFFLINE = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::ONLINE,
            self::OFFLINE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::ONLINE => 'Онлайн',
            self::OFFLINE => 'Оффлайн',
        ];
    }
}


